package HTML::HeadParser; =head1 NAME HTML::HeadParser - Parse section of a HTML document =head1 SYNOPSIS require HTML::HeadParser; $p = HTML::HeadParser->new; $p->parse($text) and print "not finished"; $p->header('Title') # to access $p->header('Content-Base') # to access $p->header('Foo') # to access =head1 DESCRIPTION The I is a specialized (and lightweight) I that will only parse the EHEAD>...E/HEAD> section of an HTML document. The parse() method will return a FALSE value as soon as some EBODY> element or body text are found, and should not be called again after this. The I keeps a reference to a header object, and the parser will update this header object as the various elements of the EHEAD> section of the HTML document are recognized. The following header fields are affected: =over 4 =item Content-Base: The I header is initialized from the Ebase href="..."> element. =item Title: The I Normal text starts here. EOT undef $p; print $h->title; # should print "Stupid example" =head1 SEE ALSO L, L The I class is distributed as part of the I package. If you don't have that distribution installed you need to provide the $header argument to the C constructor with your own object that implements the documented protocol. =head1 COPYRIGHT Copyright 1996-2001 Gisle Aas. All rights reserved. This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. =cut 